<?php
error_reporting(E_ALL);
ini_set('display_errors', 1);
//ini_set('memory_limit', '2048M');
date_default_timezone_set('Europe/Madrid');
//include("conexion.php");
if(isset($_REQUEST["product"])) //Formato linux timestamp
	$product=$_REQUEST["product"]; else $product=0;

$resultProducts=[];

function mssql_escape($str)
{
    if(get_magic_quotes_gpc())
    {
        $str= stripslashes($str);
    }
    return str_replace("'", "''", $str);
}

$serverName = "localhost";
$connectionInfo = array( "Database"=>"ICF", "UID"=>"VAIO", "PWD"=>"VAIO");

$connNavision=false;
$retries=0;
while(!$connNavision && $retries<3){
	$connNavision = sqlsrv_connect( $serverName, $connectionInfo);
	$retries++;
}


	if( $connNavision ) {
		 //echo "Conexion establecida con Navision.\r\n";
	}else{
		 //echo "Conexion no se pudo establecer con Navision.\r\n";
		 die( print_r( sqlsrv_errors(), true));
	}

		$objects=[];
		
		
		$sql = 'SELECT 
				CONCAT([Description], [Description 2]) Description, 
				[Coste de Tarifa Compra] ShoppingPrice, 
				[Last Direct Cost] lastShoppingPrice,
				[Vendor No.] Supplier, 
				[Gross Weight] Weight, 
				[Minimum Order Quantity] minimumquantityofbuy, 
				[Order Multiple] multiplicity, 
				[Include Inventory] rotation, 
				CONCAT([Item Category Code], [Product Group Code]) category, 
				[Blocked],
				[Cod. Marca] Manufacturer 
				FROM [Item]
				WHERE [No.]=\''.$product.'\'';

		$stmt = sqlsrv_query( $connNavision, $sql);
		if( $stmt !== false) {
			while($row = sqlsrv_fetch_array( $stmt, SQLSRV_FETCH_ASSOC)){
				
				$temp=[];
				foreach($row as $key=>$object){
					$temp_object[$key]=!is_object($object)?utf8_encode($object):$object;
				}
				
				$objects[]=$temp_object;
			}
		}
		if (sqlsrv_errors(SQLSRV_ERR_ERRORS)!=null) $prueba["class"]=-1;
		else $prueba["class"]=$objects;
		$result[]=$prueba;
header('Content-Type: application/json');
echo json_encode($result, JSON_PRETTY_PRINT);

?>
